Description

l'intégration avec le LDAP est intéressante.

Mais j'imaginais un scénario possible pour la rendre encore plus intéressante:

lors de la création d'un compte, on vérifie si ce compte existe dans le ldap, si c'est la cas, on synchronise les comptes, si ce n'est pas

la cas, on ajoute le compte au ldap.

En fait, redmine sauvegarderait ses comptes dans le ldap, tout simplement.

NB: je sais que ce n'est pas forcément le travail de redmine, mais il ne me semble pas qu'il existe de projet libre permettant à des

utilisateurs de s'auto-enregistrer dans iun ldap, et de gérer leur compte, alors il faut bien que l'un des softs s'authentifiant auprès du

ldap le fasse...

History

#1 - 2010-02-26 15:06 - Felix Schäfer

- Subject changed from création des utilisateurs dans le ldap to Create users on the LDAP server

- Category set to LDAP

For non-french users: the scope of the feature request is the ability to create new registered users not only in redmine but also in the LDAP server.

#2 - 2010-02-26 15:10 - Matthieu Codron

Felix Schäfer wrote:

For non-french users: the scope of the feature request is the ability to create new registered users not only in redmine but also in the LDAP

server.

 Thank you for your translation :)

#3 - 2010-03-12 09:39 - Vladimir Dzalbo

There's a plugin in progress to solve that:

http://github.com/edavis10/redmine_extra_ldap

it is still being developed... but I gave it a try yesterday and the core functionality of pulling users from LDAP worked pretty perfect!

#4 - 2010-04-10 02:45 - Eric Davis

Vladimir Dzalbo,

Thanks I didn't know if anyone was using it.  I guess this means I need to do an official release soon then...
